# IRdNtClntVoIPSettings Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | Valid ([out, retval] RtBOOL *pbVal)
HRESULT | Validate ()
## Properties
RtDWORD * | RxQuality`[get]`
RtDWORD | RxQuality`[set]`
RtDWORD * | TxQuality`[get]`
RtDWORD | TxQuality`[set]`
RtDWORD * | ModeRx`[get]`
RtDWORD | ModeRx`[set]`
RtDWORD * | ModeTx`[get]`
RtDWORD | ModeTx`[set]`
RtDWORD * | PlayMode`[get]`
RtDWORD | PlayMode`[set]`
RtFloat * | PlaybackVolume`[get]`
RtFloat | PlaybackVolume`[set]`
RtFloat * | CaptureVolume`[get]`
RtFloat | CaptureVolume`[set]`
RtFloat * | SquelchLevel`[get]`
RtFloat | SquelchLevel`[set]`

## Detailed Description

Use this data object interface to read or write the VoIP settings.

## Member Function Documentation

HRESULT IRdNtClntVoIPSettings::Clear | ( | void |  | ) |

Note: voip not available in current version.
Clears the VoIP settings data object.

HRESULT IRdNtClntVoIPSettings::Valid | ( | [out, retval] RtBOOL * | pbVal | ) |

Returns:
  pbVal [out,retval] Returns TRUE if the setting passed by the settings wizard.

  S_OK If the settings is valid.
  S_FALSE If it not passed the sound settings wizard.

HRESULT IRdNtClntVoIPSettings::Validate | ( |  | ) |

Call to validate the settings. To invalidate it call SetDefault method.

## Property Documentation

RtDWORD * IRdNtClntVoIPSettings::RxQuality`[get]`

Note: voip not available in current version.

Returns:
  pbVal [out,retval] Get the transmission quality.
  See RsVoIPDef::ReVoIPQuality for possible values.

RtDWORD IRdNtClntVoIPSettings::RxQuality`[set]`

Parameters:

  | dwVal | [in] Set the transmission quality. See RsVoIPDef::ReVoIPQuality for possible values.

RtDWORD * IRdNtClntVoIPSettings::TxQuality`[get]`

Note: voip not available in current version.

Returns:
  pdwVal [out,retval] Get the receiving quality.
  See RsVoIPDef::ReVoIPQuality for possible values.

RtDWORD IRdNtClntVoIPSettings::TxQuality`[set]`

Note: voip not available in current version.

Parameters:

  | dwVal | [in] Set the receiving quality. See RsVoIPDef::ReVoIPQuality for possible values.

RtDWORD * IRdNtClntVoIPSettings::ModeRx`[get]`

Note: voip not available in current version.

Returns:
  pdwVal [out,retval] Use this property to get the receiving mode.
  See RsVoIPDef::ReVoIPModeRX for possible values.

RtDWORD IRdNtClntVoIPSettings::ModeRx`[set]`

Note: voip not available in current version.

Parameters:

  | dwVal | [in] Set the receiving mode. See RsVoIPDef::ReVoIPModeRX for possible values.

RtDWORD * IRdNtClntVoIPSettings::ModeTx`[get]`

Note: voip not available in current version.

Returns:
  pdwVal [out,retval] Use this property to get the transmitting mode.
  See RsVoIPDef::ReVoIPModeTX for possible values.

RtDWORD IRdNtClntVoIPSettings::ModeTx`[set]`

Note: voip not available in current version.

Parameters:

  | dwVal | [in] Use this property to set the transmitting mode. See RsVoIPDef::ReVoIPModeTX for possible values.

RtDWORD * IRdNtClntVoIPSettings::PlayMode`[get]`

Note: voip not available in current version.

Returns:
  pdwVal [out,retval] Get the current play mode.
  See RsVoIPDef::ReVoIPPlayMode for possible values.

RtDWORD IRdNtClntVoIPSettings::PlayMode`[set]`

Note: voip not available in current version.

Parameters:

  | dwVal | [in] Set the play mode. See RsVoIPDef::ReVoIPPlayMode for possible values.

RtFloat * IRdNtClntVoIPSettings::PlaybackVolume`[get]`

Note: voip not available in current version.
Get the playback volume.

Returns:
  pfVal [out, retval] Returns the current volume for VoIP in percent.

RtFloat IRdNtClntVoIPSettings::PlaybackVolume`[set]`

Note: voip not available in current version.
Set the playback volume.

Parameters:

  | fVal | [in] The VoIP volume in percent.

RtFloat * IRdNtClntVoIPSettings::CaptureVolume`[get]`

Note: voip not available in current version.
Get the capture volume.

Returns:
  pfVal [out, retval] Returns the current capture volume for VoIP in percent.

RtFloat IRdNtClntVoIPSettings::CaptureVolume`[set]`

Note: voip not available in current version.
Set the capture volume.

Parameters:

  | fVal | [in] The VoIP capture volume in percent.

RtFloat * IRdNtClntVoIPSettings::SquelchLevel`[get]`

Note: voip not available in current version.
Get the current squelch volume.

Returns:
  pfVal [out, retval] Returns the current squelch volume for VoIP in percent.

RtFloat IRdNtClntVoIPSettings::SquelchLevel`[set]`

Note: voip not available in current version.
Set the squelch volume.

Parameters:

  | fVal | [in] The VoIP squelch volume in percent.